Bug 1118943 - [RFE][horizon]: An administrator should be able to hide VNC console if it's not accessible from outside
Summary: [RFE][horizon]: An administrator should be able to hide VNC console if it's n...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-django-horizon
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M3
: 6.0 (Juno)
Assignee: Matthias Runge
QA Contact: Ido Ovadia
URL: https://blueprints.launchpad.net/hori...
Whiteboard: upstream_milestone_juno-3 upstream_de...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 04:06 UTC by RHOS Integration
Modified: 2015-03-23 04:55 UTC (History)
10 users (show)

Fixed In Version: python-django-horizon-2014.2-4.el7ost
Doc Type: Enhancement
Doc Text:
With this update, an administrator can now disable console access if the console is not accessible from outside the cloud infrastructure. A configuration option has been added to the CONSOLE_TYPE parameter in the /etc/openstack_dashboard/local_settings file. Valid options are now: "AUTO", "VNC", "SPICE", "RDP", or "None". To disable console access, specify CONSOLE_TYPE="None".
Clone Of:
Environment:
Last Closed: 2015-02-09 14:56:07 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:0154 normal SHIPPED_LIVE python-django-horizon enhancement advisory 2015-02-09 19:52:20 UTC

Description RHOS Integration 2014-07-12 04:06:23 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/horizon/+spec/hide-vnc-console-access.

Description:

in local_settings.py an admin can set thy type of console with 'CONSOLE_TYPE', but can not diseable it.
If the console is not accessible from outside a cloud-provider's infrastructure, it should be possible to deactivate this feature in horizon.

There are several reasons one might want to deactivate the console:
- If your language has a non US keyboard and non pure ASCII characters, all the provided VNC are at best catastrophicaly unuseable.
- The network security might not provide access.

Specification URL (additional information):

None

Comment 4 errata-xmlrpc 2015-02-09 14:56:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-0154.html


Note You need to log in before you can comment on or make changes to this bug.